oasis.names.tc.saml._2_0.assertion

## Class AudienceRestriction

- java.lang.Object
- - oasis.names.tc.saml._2_0.assertion.ConditionAbstractType
  - - oasis.names.tc.saml._2_0.assertion.AudienceRestriction

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2022-12-09T10:56:39+01:00",
                 comments="JAXB RI v2.2.11")
      public class AudienceRestriction
      extends ConditionAbstractType
      implements Serializable

  Java class for AudienceRestrictionType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="AudienceRestrictionType">
         <complexContent>
           <extension base="{urn:oasis:names:tc:SAML:2.0:assertion}ConditionAbstractType">
             <sequence>
               <element ref="{urn:oasis:names:tc:SAML:2.0:assertion}Audience" maxOccurs="unbounded"/>
             </sequence>
           </extension>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AudienceRestriction()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<String>` | `getAudiences()` Gets the value of the audiences property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AudienceRestriction

          public AudienceRestriction()

  - ### Method Detail

    - #### getAudiences

          public List<String> getAudiences()

      Gets the value of the audiences property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the audiences property.

      For example, to add a new item, do as follows:

              getAudiences().add(newItem);

      Objects of the following type(s) are allowed in the list `String`

Connector Packaging PERSPODOLOGIST 4.3.0-beta-3 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.